Bug 205504 - Review Request: rum - rug-like interface for yum
Summary: Review Request: rum - rug-like interface for yum
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-09-06 19:31 UTC by James Willcox
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 14:47:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Willcox 2006-09-06 19:31:48 UTC
Spec URL: http://www.snorp.net/files/rum/rum.spec
SRPM URL: http://www.snorp.net/files/rum/rum-1.0.0-1.src.rpm
Description: rum is a rug-like interface for yum

Comment 1 James Willcox 2006-09-06 19:36:11 UTC
Oops, I should mention that this is my first package and I would need a sponsor,
etc.

Comment 2 Ray Strode [halfline] 2006-09-06 20:01:32 UTC
So at first glance, the package spec file looks great.

Did you run it through rpmlint?  If so, any spew?

Comment 3 James Willcox 2006-09-06 20:11:56 UTC
Yeah, it gives me this:

W: rum summary-not-capitalized rum is a rug-like interface for yum
E: rum non-executable-script /usr/share/rum/rummain.py 0644
E: rum non-executable-script /usr/share/rum/i18n.py 0644
E: rum zero-length /usr/share/doc/rum-1.0.0/ChangeLog

All of that seems fairly benign to me, but what do I know :)

Comment 4 Ray Strode [halfline] 2006-09-06 20:24:49 UTC
cool. And the srpm builds okay in mock? If so, seems fine.

Comment 5 Jason Tibbitts 2006-09-06 20:29:24 UTC
In general you shouldn't package zero length files.

Also, the description is somewhat lacking.  Even if it's supposed that I know
what "yum" is, I have little chance of knowing what "rug" might be.

Comment 6 James Willcox 2006-09-06 20:51:37 UTC
Ok, I changed the description to:

rum is a rug-like interface for yum (Yellowdog Updater Modified).  rug is the
command-line frontend for rcd (Red Carpet Daemon).

And removed the empty ChangeLog

Comment 7 James Willcox 2006-09-06 20:53:38 UTC
Bah, I meant:

rum is a rug-like interface for yum (Yellow dog Updater, Modified).  rug is the
command-line frontend for rcd (Red Carpet Daemon).

Comment 8 Ray Strode [halfline] 2006-09-07 19:34:34 UTC
Let me know when you've created an account, sent in the CLA, etc, and I'll move
you over to sponsored status.

Comment 9 Brian Pepple 2006-09-07 20:19:19 UTC
Quick note:  the Source should be a full url.


Comment 10 Chitlesh GOORAH 2006-09-08 09:34:42 UTC
** I've seen you have updated the src.rpm
Next time, do update the release version as well.

** 
%defattr(-,root,root,-)
%defattr(-,root,root)

Duplicates

**
chitlesh(rum-1.0.0-1)[0]$rpmlint /home/chitlesh/rpmbuild/SRPMS/rum-1.0.0-1.src.rpm
W: rum summary-not-capitalized rum is a rug-like interface for yum

Capitalized the "R" of "rum"

E: rum description-line-too-long rum is a rug-like interface for yum (Yellow dog
Updater, Modified).  rug is the command-line frontend for rcd (Red Carpet Daemon).

Divide it into 2 lines

** 
 /usr/bin/install -c -m 644 'i18n.py'
'/var/tmp/rum-1.0.0-1-root-chitlesh/usr/share/rum/i18n.py'
 /usr/bin/install -c -m 644 'rumcommand.py'
'/var/tmp/rum-1.0.0-1-root-chitlesh/usr/share/rum/rumcommand.py'
 /usr/bin/install -c -m 644 'rummain.py'
'/var/tmp/rum-1.0.0-1-root-chitlesh/usr/share/rum/rummain.py'                       

preserves the files' timestamps
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT

** Like Brian said : the Source should be a full url.

Comment 11 Rahul Sundaram 2007-03-13 14:40:06 UTC
James Willcox,

Are you interested in this package anymore? Its been stalled for a long time now.

Comment 12 James Willcox 2007-03-13 14:47:03 UTC
No, we should close it.  I haven't taken the time to get the CLA approved by my
employer, and I haven't worked on rum in quite a while.


Note You need to log in before you can comment on or make changes to this bug.